function buildReserve(indexes, frigo) {
    var indexRepas = indexes.split('-')[1];
    var item = document.createElement("div");
    var nom = document.createElement("span");
    var breakElement = document.createElement("br");

    item.className = "panierOutline";
    nom.className = "bold";

    nom.appendChild(document.createTextNode(frigo.repas[indexRepas].nom));
    item.appendChild(nom);
    item.appendChild(breakElement);
    item.appendChild(document.createTextNode("Provenance: " + frigo.nom));
    item.appendChild(breakElement.cloneNode(false));

    return item;
}

function retrievePanier() {
    var panierElems = sessionStorage.getItem('panier');
    var container = document.getElementById('listePanier');
    var title = document.createElement("p");
    title.className = "titleSection";
    title.appendChild(document.createTextNode("Mon panier"));
    container.appendChild(title);
    container.appendChild(document.createElement("div"));
    container = container.lastChild;
    container.className = "listeRepas";

    if (panierElems != null) {
        var obj = httpGetJson();
        var items = panierElems.split(" ");
        items.forEach(item => {
            if (item.length != 0) {
                container.appendChild(buildReserve(item, obj.array[item.split('-')[0]]));
            }
        })

        sessionStorage.removeItem('frigoIndex');
    }
}