
var textbox = document.getElementById("form");
textbox.addEventListener("focus", onTextBoxFocus, true);
textbox.addEventListener("blur", onTextBoxBlur, true);

function onTextBoxFocus(){
    document.getElementsByName('textbox')[0].placeholder='';
}

function onTextBoxBlur(){
    document.getElementsByName('textbox')[0].placeholder='Écrire votre repas';
}

function buildHeader(frigo){
    var container = document.createElement("div");
    var title = document.createElement("p");
    var label = document.createElement("div");
    var nom = document.createElement("span");
    var addresse = document.createElement("span");
    var breakElement = document.createElement("br");

    title.className= "titleSection";
    label.className = "selectedFridgeLabel";
    nom.className = "bold underlined";
    addresse.className = "bold";

    title.appendChild(document.createTextNode("Chercher un repas"));
    nom.appendChild(document.createTextNode(frigo.nom));
    addresse.appendChild(document.createTextNode(frigo.addresse));

    label.appendChild(nom);
    label.appendChild(breakElement.cloneNode(false));
    label.appendChild(addresse);
    container.appendChild(breakElement.cloneNode(false));
    container.appendChild(title);
    container.appendChild(breakElement.cloneNode(false));
    console.log(label);
    container.appendChild(label);

    return container;
}
var i = 0;
function buildRepas(repas,indexFrigo){
    var indexRepas = i++;
    var item = document.createElement("div");
    var nom = document.createElement("span");
    var add = document.createElement("button");
    var bb = document.createElement("div");
    var allergene = document.createElement("div")
    var breakElement = document.createElement("br");

    console.log(indexFrigo);
    item.className= "mealOutline";
    nom.className = "bold";
    add.className = "addButton";
    add.onclick = (()=>{addToPanier(event,indexRepas, indexFrigo)});
    bb.className = "mealInfo";
    allergene.className = "mealInfo";

    nom.appendChild(document.createTextNode(repas.nom));
    add.appendChild(document.createTextNode("+"));
    bb.appendChild(document.createTextNode("BB : " + repas.bb));
    item.appendChild(nom);
    item.appendChild(breakElement);
    item.appendChild(document.createTextNode(repas.type));
    item.appendChild(breakElement.cloneNode(false));
    item.appendChild(document.createTextNode("Quantité : " + repas.qt + " disponibles"));
    item.appendChild(breakElement.cloneNode(false));
    item.appendChild(bb);

    var listeAllergene = "";
    if(repas.allergenes.length == 0) {
        listeAllergene = "Sans allergènes";
    } else {
        listeAllergene += repas.allergenes[0];
        for (let a = 1; a < repas.allergenes.length; a++) {
            listeAllergene += ', ' + repas.allergenes[a];
        }
    }
    allergene.appendChild(document.createTextNode(listeAllergene));
    item.appendChild(allergene);

    item.appendChild(add);

    return item;
}

function retrieveRepas(){
    var index = sessionStorage.getItem('frigoIndex');
    console.log(index)
    if(index != null){
        var obj = httpGetJson();
        var container = document.getElementById('listeRepas')

        container.innerHTML = "";
        container.appendChild(buildHeader(obj.array[index]));

        container.appendChild(document.createElement("div"));
        container = container.lastChild;
        container.className = "listeRepas";

        obj.array[index].repas.forEach(repas => {
            container.appendChild(buildRepas(repas,index));
        })
        sessionStorage.removeItem('frigoIndex');
    }
}

function addToPanier(event, repas, frigoIndex) {
    event.target.innerHTML = "<span class = 'thicc'>&#x2713;</span>";
    setTimeout(() => {event.target.innerHTML = "+"},750);
    setTimeout(() => {document.activeElement.blur()},769);
    if(sessionStorage.getItem("panier") != null){
        var prev = sessionStorage.getItem("panier");
        sessionStorage.setItem("panier", prev+" "+frigoIndex+"-"+repas);
    }
    else {
        sessionStorage.setItem("panier", frigoIndex+"-"+repas);
    }
    parentPastille();
}

function parentPastille() {
    if(sessionStorage.getItem("panier") != null){
        console.log("slt")
        var event = new CustomEvent('pastilleChanged')
        window.parent.document.dispatchEvent(event)
    }
    console.log("allo")
}