var i = 0;

function buildFrigo(frigo) {
    var index = i++;
    var item = document.createElement("a");
    var nom = document.createElement("span");
    var breakElement = document.createElement("br");
    var imgDispo = document.createElement("img");

    item.className = "fridgeOutline";
    item.onclick = (() => {
        saveFrigoIndex(index)
    });
    item.href = "chercherUnRepas.html";
    nom.className = "bold";
    imgDispo.className = "img-dispo";
    imgDispo.src = frigo.dispo ? "../dispo.png" : "../nondispo.png";

    nom.appendChild(document.createTextNode(frigo.nom));
    item.appendChild(nom);
    item.appendChild(breakElement);
    item.appendChild(document.createTextNode(frigo.addresse));
    item.appendChild(breakElement.cloneNode(false));
    item.appendChild(document.createTextNode("Situé à " + frigo.distance + " mètres\n"));
    item.appendChild(imgDispo);

    return item;
}

function retrieveFrigos() {
    var obj = httpGetJson();

    var liste = document.getElementById("listeFrigo");

    obj.array.forEach(frigo => {
        liste.appendChild(buildFrigo(frigo));
    })
}

function saveFrigoIndex(index) {
    sessionStorage.setItem('frigoIndex', index);
}